light-mode-image
Learn
API ReferencemDocs credential configuration

Retrieve all mDocs configurations

Roles

adminissuermanaged-issuer

Analytics Events

MOBILE_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_STARTMOBILE_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_SUCCESSMOBILE_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_FAIL
GET/v2/credentials/mobile/configurations

Retrieves all mDocs configurations from your tenant.

Analytic events

  • MOBILE_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_START
  • MOBILE_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_SUCCESS
  • MOBILE_CREDENTIAL_CONFIGURATION_RETRIEVE_LIST_FAIL

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

limit?number

Range size of returned list.

Range1 <= value <= 1000
Default100
cursor?string

Starting point for the list of entries.

type?string

Optional credential type to filter on

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/credentials/mobile/configurations"
{  "nextCursor": "string",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "branding": {        "name": "string",        "description": "string",        "backgroundColor": "string",        "watermarkImage": "string",        "issuerLogo": "string",        "issuerIcon": "string"      },      "includeStatus": false,      "type": "string",      "claimMappings": {        "additionalProperties": {          "additionalProperties": {            "mapFrom": "string",            "type": "boolean",            "required": false,            "defaultValue": "string",            "display": [              {                "name": "string",                "locale": "string"              }            ]          }        }      },      "claimSourceId": "78e1b90c-401d-45bb-89c0-938da4d44c60",      "expiresIn": {        "years": 0,        "months": 0,        "weeks": 0,        "days": 0,        "hours": 0,        "minutes": 0,        "seconds": 0      },      "validFrom": {        "mapFrom": "string"      },      "validUntil": {        "mapFrom": "string"      }    }  ]}

How would you rate this page?